# newgrf_sl.cpp File Reference

Code handling saving and loading of newgrf config. More...

`#include "../stdafx.h"`
`#include "../newgrf_config.h"`
`#include "../core/bitmath_func.hpp"`
`#include "../core/alloc_func.hpp"`
`#include "../gfx_func.h"`
`#include "saveload.h"`

Go to the source code of this file.

## Functions
static void | Save_NGRF ()
static void | Load_NGRF ()
## Variables
static const SaveLoad | _grfconfig_desc []
const ChunkHandler | _newgrf_chunk_handlers []

## Detailed Description

Code handling saving and loading of newgrf config.

Definition in file newgrf_sl.cpp.

## Variable Documentation

const SaveLoad _grfconfig_desc[]`[static]`

Initial value:

     {
          SLE_STR(GRFConfig, filename,         SLE_STR,    0x40),
          SLE_VAR(GRFConfig, grfid,            SLE_UINT32),
          SLE_ARR(GRFConfig, md5sum,           SLE_UINT8,  16),
          SLE_ARR(GRFConfig, param,            SLE_UINT32, 0x80),
          SLE_VAR(GRFConfig, num_params,       SLE_UINT8),
      SLE_CONDVAR(GRFConfig, windows_paletted, SLE_BOOL,   101, SL_MAX_VERSION),

    }

Definition at line 20 of file newgrf_sl.cpp.

const ChunkHandler _newgrf_chunk_handlers[]

Initial value:

     {
      { 'NGRF', Save_NGRF, Load_NGRF, NULL, CH_ARRAY | CH_LAST }
    }